package com.ghy.worker.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ghy.common.annotation.Excel;
import com.ghy.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 师傅实名审核对象 worker_certification
 *
 * @author clunt
 * @date 2022-07-07
 */
public class WorkerCertification extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long deptId;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    /** 主键id */
    private String workerCertificationId;

    /** 师傅者id */
    @Excel(name = "师傅者id")
    private Long workerId;

    /** 真实名 */
    @Excel(name = "真实名字")
    private String name;

    /** 真实姓 */
    @Excel(name = "真实姓氏")
    private String surname;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCardNum;

    /** 身份证照片1 */
    @Excel(name = "身份证照片1")
    private String idCardUrl1;

    /** 身份证照片2 */
    @Excel(name = "身份证照片2")
    private String idCardUrl2;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 公司规模 0:1-3人 1:3-10人 2:10-50人 */
    @Excel(name = "公司规模 0:1-3人 1:3-10人 2:10-50人")
    private Long companySize;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 执照号码 */
    @Excel(name = "执照号码")
    private String businessLicenseNum;

    /** 执照号码照片 */
    @Excel(name = "执照号码照片")
    private String businessLicenseUrl;

    /** 公司地址所在省id */
    @Excel(name = "公司地址所在省id")
    private Long companyProvinceId;

    /** 公司地址所在市id */
    @Excel(name = "公司地址所在市id")
    private Long companyCityId;

    /** 公司地址所在区id */
    @Excel(name = "公司地址所在区id")
    private Long companyCountryId;

    /** 公司详细地址 */
    @Excel(name = "公司详细地址")
    private String companyAddress;

    /** 法人名称 */
    @Excel(name = "法人名称")
    private String legalPersionName;

    /** 法人联系电话 */
    @Excel(name = "法人联系电话")
    private String legalPersionPhoneNum;

    /** 其他服务 0:货拉拉/速运 1:提供搬货 2本地跑腿 */
    @Excel(name = "其他服务 0:货拉拉/速运 1:提供搬货 2本地跑腿")
    private String otherServ;

    /** 状态0审核中 1审核通过 2审核未通过 */
    @Excel(name = "状态0审核中 1审核通过 2审核未通过")
    private Long status;

    // 特殊技能
    private List<WorkerSpecialSkill> specialSkills;

    // province，city，country三者的合并名称
    private String mergerName;

    public void setWorkerCertificationId(String workerCertificationId)
    {
        this.workerCertificationId = workerCertificationId;
    }

    public String getWorkerCertificationId()
    {
        return workerCertificationId;
    }
    public void setWorkerId(Long workerId)
    {
        this.workerId = workerId;
    }

    public Long getWorkerId()
    {
        return workerId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIdCardNum(String idCardNum)
    {
        this.idCardNum = idCardNum;
    }

    public String getIdCardNum()
    {
        return idCardNum;
    }
    public void setIdCardUrl1(String idCardUrl1)
    {
        this.idCardUrl1 = idCardUrl1;
    }

    public String getIdCardUrl1()
    {
        return idCardUrl1;
    }
    public void setIdCardUrl2(String idCardUrl2)
    {
        this.idCardUrl2 = idCardUrl2;
    }

    public String getIdCardUrl2()
    {
        return idCardUrl2;
    }
    public void setBrandName(String brandName)
    {
        this.brandName = brandName;
    }

    public String getBrandName()
    {
        return brandName;
    }
    public void setCompanySize(Long companySize)
    {
        this.companySize = companySize;
    }

    public Long getCompanySize()
    {
        return companySize;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setBusinessLicenseNum(String businessLicenseNum)
    {
        this.businessLicenseNum = businessLicenseNum;
    }

    public String getBusinessLicenseNum()
    {
        return businessLicenseNum;
    }
    public void setBusinessLicenseUrl(String businessLicenseUrl)
    {
        this.businessLicenseUrl = businessLicenseUrl;
    }

    public String getBusinessLicenseUrl()
    {
        return businessLicenseUrl;
    }
    public void setCompanyProvinceId(Long companyProvinceId)
    {
        this.companyProvinceId = companyProvinceId;
    }

    public Long getCompanyProvinceId()
    {
        return companyProvinceId;
    }
    public void setCompanyCityId(Long companyCityId)
    {
        this.companyCityId = companyCityId;
    }

    public Long getCompanyCityId()
    {
        return companyCityId;
    }
    public void setCompanyCountryId(Long companyCountryId)
    {
        this.companyCountryId = companyCountryId;
    }

    public Long getCompanyCountryId()
    {
        return companyCountryId;
    }
    public void setCompanyAddress(String companyAddress)
    {
        this.companyAddress = companyAddress;
    }

    public String getCompanyAddress()
    {
        return companyAddress;
    }
    public void setLegalPersionName(String legalPersionName)
    {
        this.legalPersionName = legalPersionName;
    }

    public String getLegalPersionName()
    {
        return legalPersionName;
    }
    public void setLegalPersionPhoneNum(String legalPersionPhoneNum)
    {
        this.legalPersionPhoneNum = legalPersionPhoneNum;
    }

    public String getLegalPersionPhoneNum()
    {
        return legalPersionPhoneNum;
    }
    public void setOtherServ(String otherServ)
    {
        this.otherServ = otherServ;
    }

    public String getOtherServ()
    {
        return otherServ;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public List<WorkerSpecialSkill> getSpecialSkills() {
        return specialSkills;
    }

    public void setSpecialSkills(List<WorkerSpecialSkill> specialSkills) {
        this.specialSkills = specialSkills;
    }

    public String getMergerName() {
        return mergerName;
    }

    public void setMergerName(String mergerName) {
        this.mergerName = mergerName;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workerCertificationId", getWorkerCertificationId())
            .append("workerId", getWorkerId())
            .append("surname", getSurname())
            .append("name", getName())
            .append("idCardNum", getIdCardNum())
            .append("idCardUrl1", getIdCardUrl1())
            .append("idCardUrl2", getIdCardUrl2())
            .append("brandName", getBrandName())
            .append("companySize", getCompanySize())
            .append("companyName", getCompanyName())
            .append("businessLicenseNum", getBusinessLicenseNum())
            .append("businessLicenseUrl", getBusinessLicenseUrl())
            .append("companyProvinceId", getCompanyProvinceId())
            .append("companyCityId", getCompanyCityId())
            .append("companyCountryId", getCompanyCountryId())
            .append("companyAddress", getCompanyAddress())
            .append("legalPersionName", getLegalPersionName())
            .append("legalPersionPhoneNum", getLegalPersionPhoneNum())
            .append("otherServ", getOtherServ())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
